## f_opendir

The f_opendir function opens a directory.

    FRESULT f_opendir (
      DIR* DirObject,       /* Pointer to the blank directory object structure */
      const TCHAR* DirName  /* Pointer to the directory name */
    );

#### Parameters

DirObject
  Pointer to the blank directory object to be created.
DirName
  Pinter to the null-terminated string that specifies the directory name to be opened.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_PATH, FR_INVALID_NAME, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_NOT_ENOUGH_CORE

#### Description

The f_opendir function opens an exsisting directory and creates the directory object for subsequent calls. The directory object structure can be discarded at any time without any procedure.

#### QuickInfo

Available when `_FS_MINIMIZE <= 1`.

#### See Also

`f_readdir, DIR`

Return